# $Id: smeserver-phpmyadmin-multiuser.spec,v 1.4 2008/05/17 13:49:21 snetram Exp $
# Authority: nocvs
# Name: Michel Van hees

Summary: PhpMyAdmin for SME server
%define name smeserver-phpmyadmin-multiuser
Name: %{name}
%define version 2.11.3
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-phpmyadmin-multiuser-2.11.3-RemoveCreatelinks.patch
Patch1: smeserver-phpmyadmin-multiuser-2.11.3-RemoveLicense.patch
Patch2: smeserver-phpmyadmin-multiuser-2.11.3-initDB.patch
Patch3: smeserver-phpmyadmin-multiuser-2.11.3-Relocate.patch
Patch4: smeserver-phpmyadmin-multiuser-2.11.3-Alias.patch

BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 7
Requires: phpmyadmin
AutoReqProv: no

%changelog
* Sat May 17 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.11.3-3
- Removed license from doc list as it made build fail

* Thu May 15 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 2.11.3-2
- Move database entries out of spec file
- Removed phpmyadmin core from contrib
- Removed createlinks script as it is not used
- Removed GPL license from the package
- Removed warning messages from SPEC file
- Removed MySQL commands from SPEC file

* Wed Dec  13 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.11.3

* Fri Nov  23 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.11.2.2

* Tue Nov  13 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.11.2.1
 
* Mon Oct  29 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.11.2

* Mon Oct  22 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phmyadmin 2.11.1.2

* Sat Sep  22 2007 Michel Van hees <michel@vanhees.cc>
- Update contrib to phpmyadmin 2.11.1

* Mon Aug  27 2007 Michel Van hees <michel@vanhees.cc>
- Update contrib to phpmyadmin 2.11.0
- Add all available themes

* Wed Jul  25 2007 Michel Van hees <michel@vanhees.cc>
- Update contrib to phpmyadmin 2.10.3

* Mon Jun  18 2007 Michel Van hees <michel@vanhees.cc>
- Update contrib to phpmyadmin 2.10.2
- Adding redirection from http to https
- Securing httpd.conf configuration
- Adding ability to limit access to internal network - That's the default option!

* Thu May  24 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.10.1

* Sun Mar  04 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.10.0.2

* Thu Jan  18 2007 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.9.2

* Wed Jan  10 2007 Michel Van hees <michel@vanhees.cc>
- Template move

* Mon Nov  20 2006 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.9.1.1

* Fri Nov  17 2006 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin 2.9.1

* Fri Nov  03 2006 Michel Van hees <michel@vanhees.cc>
- update contrib to phpmyadmin version 2.9.0.3

* Sun Oct  29 2006 Michel Van hees <michel@vanhees.cc>
- update contrib to last version of phpmyadmin

* Sat Jun  06 2006 Michel Van hees <mvanhees@vanhees.homeip.net>
- initial release

%description
SME server - phpmyadmin multiuser for smeserver

%prep
%setup
rm -rf root/opt
%patch0 -p1 -E
%patch1 -p1 -E
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
